datacache <- new.env(hash=TRUE, parent=emptyenv())

OperonHumanV3_dbconn <- function() dbconn(datacache)
OperonHumanV3_dbfile <- function() dbfile(datacache)
OperonHumanV3_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
OperonHumanV3_dbInfo <- function() dbInfo(datacache)

OperonHumanV3ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "OperonHumanV3.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("OperonHumanV3", "chip OperonHumanV3", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(OperonHumanV3_dbconn())
}

